program TestAMD_Geoloc_ADS
  !  #[ Description
  !     a simple test program to test the AMD_Geoloc_ADS module
  !     created:     02-Feb-2006, by: D. Tan, ECMWF
  !     based on:    Test_L2B_Rayleigh_MDS by Jos de Kloe, KNMI.
  !
  !     Modifications
  !      D. Tan     02-Feb-2006 Original version
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !      17-Aug-2006  P. Poli      Removed obsolete variables
  !      24-Apr-2007  J. de Kloe   phase out the SummaryVars code
  !      16-Jan-2008  J. de Kloe   phase out integer kind i_
  !
  !  #]
  !  #[ modules used
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE AMD_Geoloc_ADS, only: AMD_Geoloc_ADS_type, Init_AMD_Geoloc_ADS, &
                              Print_AMD_Geoloc_ADS, &
                              GetByteSize_AMD_Geoloc_ADS
  USE EE_CFI_Datatypes, only: IntAs, IntAl, IntAus
  USE ErrorHandler, only: no_error  
  !  #]
  !  #[ variables
  implicit none
  TYPE(AMD_Geoloc_ADS_type), pointer :: test_AMD_Geoloc_ADS
  integer :: error_flag

  integer(IntAl) :: c_bytesize
  !  #]
  !  #[ program code
  nullify(test_AMD_Geoloc_ADS)

  print *,"first try, before allocating this ADS"
  print *,"(this should trigger an error...)"
  call Init_AMD_Geoloc_ADS(test_AMD_Geoloc_ADS, error_flag)
  if (error_flag .ne. no_error) then
     print *,"error reported by Init_AMD_Geoloc_ADS():"
     print *,"error_flag = ",error_flag
  endif

  call print_AMD_Geoloc_ADS(test_AMD_Geoloc_ADS, error_flag)
  if (error_flag .ne. no_error) then
     print *,"error reported by Print_AMD_Geoloc_ADS():"
     print *,"error_flag = ",error_flag
  endif

  allocate(test_AMD_Geoloc_ADS)

  print *,"next try, after allocating this ADS"

  call Init_AMD_Geoloc_ADS(test_AMD_Geoloc_ADS, &
                           error_flag)
  if (error_flag .ne. no_error) then
     print *,"error reported by Init_AMD_Mie_Geoloc_ADS():"
     print *,"error_flag = ",error_flag
  endif

  call print_AMD_Geoloc_ADS(test_AMD_Geoloc_ADS, error_flag)
  if (error_flag .ne. no_error) then
     print *,"error reported by Print_AMD_Geoloc_ADS():"
     print *,"error_flag = ",error_flag
  endif

  print *,"reporting size:"

  c_bytesize = GetByteSize_AMD_Geoloc_ADS()
  print *,"c_bytesize for AMD_Geoloc_ADS = ",c_bytesize

  print *,"done"

  deallocate(test_AMD_Geoloc_ADS)
  !  #]
end program TestAMD_Geoloc_ADS
