program Testprog_AuxClim_SPH
  !  #[ Description
  !     a simple test program to test the auxclim_sph module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE AuxClim_SPH, only: AuxClim_SPH_type, Init_AuxClim_SPH, &
                         Print_AuxClim_SPH, GetByteSize_AuxClim_SPH_KVT,&
                         Fill_AuxClim_SPH_items,Delete_AuxClim_SPH
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  TYPE(AuxClim_SPH_type), pointer :: test_AuxClim_SPH
  integer :: error_flag, size

  error_flag = no_error
  nullify(test_AuxClim_SPH)

  call Init_AuxClim_SPH(test_AuxClim_SPH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) &
  !  call program_abort(error_flag,"Init_AuxClim_SPH")
  call print_AuxClim_SPH(test_AuxClim_SPH,error_flag,prefix="Test_AuxClim_SPH")
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) &
  !  call program_abort(error_flag,"print_AuxClim_SPH")

  allocate(test_AuxClim_SPH)

  call Init_AuxClim_SPH(test_AuxClim_SPH, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_AuxClim_SPH")  

  call Fill_AuxClim_SPH_items(test_AuxClim_SPH, error_flag, &
                              "test SPH Descriptor", "test AuxClim Ref Name")

  call print_AuxClim_SPH(test_AuxClim_SPH,error_flag,prefix="Test_AuxClim_SPH")
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"print_AuxClim_SPH")

  size = GetByteSize_AuxClim_SPH_KVT()
  print *,"GetByteSize_AuxClim_SPH_KVT() = ",size

  call Delete_AuxClim_SPH(test_AuxClim_SPH)

  deallocate(test_AuxClim_SPH)

end program Testprog_AuxClim_SPH
