program TestDataSetDescriptor
  !  #[ Description
  !     a simple test program to test the datasetdescriptor module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications: 
  !       16-Jan-2008 J. de Kloe phase out integer kind i_ 
  !
  !  #] 
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE DataSetDescriptor, only: DSD_type, Init_DSD, Print_DSD, &
                               GetByteSize_DSD_KVT
  USE ErrorHandler, only: no_error, program_abort

  implicit none
  TYPE(DSD_type), pointer :: test_DSD
  integer :: error_flag, size

  nullify(test_DSD)

  ! suppress the error handling for this first call, 
  ! (it provokes an error for testing purposes, which would stop this
  !  test program)
  call Init_DSD(test_DSD, error_flag)
  !if (error_flag .ne. no_error) call program_abort(error_flag,"Init_DSD")
  call print_DSD(test_DSD,prefix="DSD",error_flag=error_flag)
  if (error_flag .ne. no_error) call program_abort(error_flag,"print_DSD")

  allocate(test_DSD)

  call Init_DSD(test_DSD, error_flag)
  if (error_flag .ne. no_error) call program_abort(error_flag,"Init_DSD")
  call print_DSD(test_DSD,prefix="DSD",error_flag=error_flag)
  if (error_flag .ne. no_error) call program_abort(error_flag,"print_DSD")

  size = GetByteSize_DSD_KVT()
  print *,"GetByteSize_DSD_KVT() = ",size

  deallocate(test_DSD)

end program TestDataSetDescriptor
