program TestEE_CFI_Datatypes

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE EE_CFI_Datatypes
  implicit none

  type(DateTimeType) :: DateTime, DateTime2
  character(len=maxlen_DateTime_XML) :: DateTime_XML
  character(len=maxlen_DateTime_KVT) :: DateTime_KVT

  ! some real tests to be implemented later ...

  print *,"maxlen_IntAl  = ",maxlen_IntAl
  print *,"maxlen_FAdoxy = ",maxlen_FAdoxy

  ! test DateTime handling
  call InitDateTime(DateTime)

  ! first print the missing datetime
  print *,"---"
  call PrintDateTime(DateTime)
  DateTime_XML = Construct_XML_DateTime(DateTime)
  print *,"DateTime_XML = ",DateTime_XML
  DateTime_KVT = Construct_KVT_DateTime(DateTime)
  print *,"DateTime_KVT = ",DateTime_KVT

  ! fill the DateTime with some test numbers
  print *,"---"
  DateTime%daycount     = 367 ! 1 year and 1 day after 1-1-2000 (=leapyear!)
  DateTime%seconds      = 15*60*60+32*60+49 ! 15:32:49
  DateTime%microseconds = 123456
  call PrintDateTime(DateTime)
  DateTime_XML = Construct_XML_DateTime(DateTime)
  print *,"DateTime_XML = ",DateTime_XML
  DateTime_KVT = Construct_KVT_DateTime(DateTime)
  print *,"DateTime_KVT = ",DateTime_KVT

  ! check KVT <=> DateTime conversion (should be reversible)
  print *,"---"
  DateTime_KVT = "31-MAY-2011 09:03:45.976543"
  print *,"DateTime_KVT = ",DateTime_KVT
  DateTime = Convert_KVT_to_Num_DateTime(DateTime_KVT)
  DateTime_KVT = "BLABLABLA"
  print *,"conversion to DateTime:"
  call PrintDateTime(DateTime)
  print *,"conversion back to DateTime_KVT:"
  DateTime_KVT = Construct_KVT_DateTime(DateTime)
  print *,"DateTime_KVT = ",DateTime_KVT

  ! check KVT <=> XML conversion (should be irreversible)
  print *,"---"
  DateTime_KVT = "13-AUG-2037 21:58:12.516392"
  print *,"DateTime_KVT = ",DateTime_KVT
  DateTime_XML = Convert_KVT_to_XML_DateTime(DateTime_KVT)
  print *,"converted to XML:"
  print *,"DateTime_XML = ",DateTime_XML
  DateTime_KVT = Convert_XML_to_KVT_DateTime(DateTime_XML)
  print *,"converted back to KVT:"
  print *,"DateTime_KVT = ",DateTime_KVT

  ! check get_averaged_datetime()
  print *,"---2---"
  DateTime_KVT = "12-MAY-2011 09:03:45.123555"
  print *,"DateTime(1)   = ",DateTime_KVT
  DateTime = Convert_KVT_to_Num_DateTime(DateTime_KVT)
  DateTime_KVT = "12-MAY-2011 09:05:45.123777"
  print *,"DateTime(2)   = ",DateTime_KVT
  DateTime2 = Convert_KVT_to_Num_DateTime(DateTime_KVT)
  DateTime = get_averaged_datetime(DateTime,DateTime2)
  DateTime_KVT = Construct_KVT_DateTime(DateTime)
  print *,"DateTime(avg) = ",DateTime_KVT
  print *,"---"
  DateTime_KVT = "11-MAY-2011 23:56:48.100000"
  print *,"DateTime(1)   = ",DateTime_KVT
  DateTime = Convert_KVT_to_Num_DateTime(DateTime_KVT)
  DateTime_KVT = "12-MAY-2011 00:03:02.900000"
  print *,"DateTime(2)   = ",DateTime_KVT
  DateTime2 = Convert_KVT_to_Num_DateTime(DateTime_KVT)
  DateTime = get_averaged_datetime(DateTime,DateTime2)
  DateTime_KVT = Construct_KVT_DateTime(DateTime)
  print *,"DateTime(avg) = ",DateTime_KVT
  print *,"---"

end program TestEE_CFI_Datatypes
