program TestFixedHeader
  !  #[ Description
  !     a simple test program to test the fixedheader module
  !     created by: J. de Kloe, KNMI                           
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_ 
  !  #]    
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE FixedHeader, only: FH_type, Init_FH, Print_FH
  USE ErrorHandler, only: no_error, program_abort

  implicit none
  TYPE(FH_type), pointer :: test_FH
  integer :: error_flag

  nullify(test_FH)
  error_flag = no_error

  print *,"first try ..."
  call Init_FH(test_FH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_FH")  
  call print_FH(test_FH,error_flag,prefix="Test_FH")
  IF (error_flag .ne. no_error) call program_abort(error_flag,"Test_FH")  

  allocate(test_FH)

  print *,"second try ..."
  call Init_FH(test_FH, error_flag)
  IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_FH")  
  call print_FH(test_FH,error_flag,prefix="Test_FH")
  IF (error_flag .ne. no_error) call program_abort(error_flag,"Print_FH")  

  deallocate(test_FH)

end program TestFixedHeader
