program Test_JobOrder_DataStructure
  !  #[ Description
  !     a simple test program to test the joborder_datastructure module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]
  !  #[ modules used
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE JobOrder_DataStructure, only: Init_JobOrderData, Print_JobOrderData, &
                                    Delete_JobOrderData, JobOrderData_type
  USE ErrorHandler, only: no_error, program_abort
  !  #]
  !  #[ variables
  implicit none
  TYPE(JobOrderData_Type) :: test_JobOrderData
  integer                 :: error_flag, Task_Number
  !  #]
  !  #[ program code
  print *,"testing module joborder_datastructure:"

  call Init_JobOrderData(test_JobOrderData)

  Task_Number = 1
  call Print_JobOrderData(test_JobOrderData, Task_Number, &
                          "test_JobOrderData", error_flag)

  call Delete_JobOrderData(test_JobOrderData)

  print *,"done"
  !  #]
end program Test_JobOrder_DataStructure
