program Test_L1B_Cal_ADS
  !  #[ Description
  !     a simple test program to test the L1B_Cal_ADS module
  !     created:     21-02-2006, by: P. Poli, Meteo France
  !
  !     Modifications:
  !      12-May-2006 D. Tan     Null use of ParKind1 module
  !      16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L1B_Cal_ADS
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  integer :: error_flag
  TYPE(L1B_Cal_ADS_type), pointer :: Cal_ADS

  print *,"testing L1B_Cal_ADS"
  nullify(Cal_ADS)

  print *,"printing datastructure before allocation: "
  call Print_L1B_Cal_ADS(Cal_ADS, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Print_L1B_Cal_ADS")

  allocate(Cal_ADS)

  print *,"initialising"
  call Init_L1B_Cal_ADS(Cal_ADS, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L1B_Cal_ADS")

  print *,"printing datastructure: "
  call Print_L1B_Cal_ADS(Cal_ADS, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Print_L1B_Cal_ADS")

  print *,"deleting"
  call Delete_L1B_Cal_ADS(Cal_ADS)
  
  deallocate(Cal_ADS)
  print *,"test ended succesfull"

end program Test_L1B_Cal_ADS
