program TestL1B_DataStructure
  !  #[ Description
  !     a simple test program to test the L1B_DataStructure module
  !     created:     11-07-2005, by: J. de Kloe, KNMI
  !
  !     Modifications:
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !      28-Aug-2007  D. Tan       Phase out obsolete Init routine
  !      04-Sep-2007  P. Poli      change L1B_DataType to L1B_BRC_DataType
  !                                and L1B_HDR_DataType
  !      16-Jan-2008  J. de Kloe   phase out integer kind i_ 
  !
  !  #]
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L1B_Datastructure
  USE L1B_Geoloc_ADS
  USE L1B_PCD_ADS
  USE L1B_GWD_ADS
  USE L1B_US_MDS
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  TYPE(L1B_BRC_DataType) :: L1B
  TYPE(L1B_HDR_DataType) :: L1B_Headers
  integer                :: error_flag

  print *,"test L1B_BRC_DataStructure"

  call Init_L1B_BRC_DataStructure(L1B,error_flag, &
!                              use_binary_datasets = .true.)
                              use_binary_datasets = .false., &
!                              use_Geoloc_dataset  = .true., &
!                              use_PCD_dataset     = .true., &
!                              use_GWD_dataset     = .true., &
                              use_US_dataset      = .true.)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L1B_BDR_DataStructure")
  print *,"BRC structure is initialised"

  call Print_L1B_Geoloc_ADS(L1B%Geoloc_ADS)
  call Print_L1B_PCD_ADS(L1B%PCD_ADS)
  call Print_L1B_GWD_ADS(L1B%GWD_ADS)
  call Print_L1B_US_MDS(L1B%US_MDS)
!  call Print_L1B_WV_MDS(L1B%WV_MDS)

  call Delete_L1B_BRC_DataStructure(L1B)
  print *,"BRC structure is deleted"

  print *,"test L1B_HDR_DataStructure"
  call Init_L1B_HDR_DataStructure(L1B_Headers,error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L1B_HDR_DataStructure")
  print *,"HDR structure is initialised"
  call Delete_L1B_HDR_DataStructure(L1B_Headers)
  print *,"HDR structure is deleted"

  ! test robustness by calling it twice
  call Delete_L1B_HDR_DataStructure(L1B_Headers)
  print *,"second delete call successfull"

  print *,"test ended succesfull"

end program TestL1B_DataStructure
