program Test_L1B_GWD_ADS
  !  #[ Description
  !     a simple test program to test the GWD_ADS module
  !     created:     11-07-2005, by: J. de Kloe, KNMI
  !
  !     Modifications
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !      17-Oct-2007  J. de Kloe   added a nullify statement
  !      16-Jan-2008  J. de Kloe   phase out integer kind i_ 
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L1B_GWD_ADS
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  integer :: error_flag
  integer, parameter :: N_meas = 67
  TYPE(L1B_GWD_ADS_type), pointer :: GroundWindConfData_ADS

  nullify(GroundWindConfData_ADS)

  print *,"testing L1B_GWD_ADS"
  allocate(GroundWindConfData_ADS)

  print *,"initialising"
  call Init_L1B_GWD_ADS(GroundWindConfData_ADS, N_meas, error_flag)

  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L1B_GWD_ADS")

  print *,"printing datastructure: "
  call Print_L1B_GWD_ADS(GroundWindConfData_ADS)

  print *,"deleting"
  call Delete_L1B_GWD_ADS(GroundWindConfData_ADS)

  deallocate(GroundWindConfData_ADS)
  print *,"test ended succesfull"

end program Test_L1B_GWD_ADS
