program Test_L1B_Geoloc_ADS
  !  #[ Description
  !     a simple test program to test the L1B_Geoloc_ADS module
  !     created:     13-07-2005, by: J. de Kloe, KNMI
  !
  !     Modifications:
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !      17-Oct-2007  J. de Kloe   added a nullify statement
  !      16-Jan-2008  J. de Kloe   phase out integer kind i_ 
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L1B_Geoloc_ADS
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  integer :: error_flag
  integer, parameter :: N_meas = 67
  integer, parameter :: N_range_gates = 24
  TYPE(L1B_Geoloc_ADS_type), pointer :: Geolocation_ADS

  nullify(Geolocation_ADS)

  print *,"testing L1B_Geoloc_ADS"
  allocate(Geolocation_ADS)

  print *,"initialising"
  call Init_L1B_Geoloc_ADS(Geolocation_ADS, N_meas, N_range_gates, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L1B_Geoloc_ADS")

  print *,"printing datastructure: "
  call Print_L1B_Geoloc_ADS(Geolocation_ADS)

  print *,"deleting"
  call Delete_L1B_Geoloc_ADS(Geolocation_ADS)

  deallocate(Geolocation_ADS)
  print *,"test ended succesfull"

end program Test_L1B_Geoloc_ADS
