program Test_L1B_Meas_ADS
  !  #[ Description
  !     a simple test program to test the Meas_ADS module
  !     created:     06-Sep-2005, by: D. Tan, ECMWF
  !     last change: 06-Sep-2005
  !
  !     Based on Test_L1B_PCD_ADS, by: J. de Kloe, KNMI
  !                                    last change: 01-08-2005
  !     Modifications:
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !      17-Oct-2007  J. de Kloe   added a nullify statement
  !      16-Jan-2008  J. de Kloe   phase out integer kind i_ 
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L1B_Meas_ADS
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  integer                          :: error_flag
  TYPE(L1B_Meas_ADS_type), pointer :: Measurement_ADS
  integer, parameter               :: N_meas        = 67
  integer, parameter               :: N_range_gates = 24

  nullify(Measurement_ADS)

  print *,"testing L1B_Meas_ADS"
  allocate(Measurement_ADS)

  print *,"initialising"
  call Init_L1B_Meas_ADS(Measurement_ADS, N_meas, N_range_gates, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L1B_Meas_ADS")

  print *,"printing Measurement_ADS:"
  call Print_L1B_Meas_ADS(Measurement_ADS)

  print *,"deleting"
  call Delete_L1B_Meas_ADS(Measurement_ADS)

  deallocate(Measurement_ADS)
  print *,"test ended succesful"

end program Test_L1B_Meas_ADS
