program TestL1B_SPH
  !  #[ Description
  !     a simple test program to test the l1b_sph module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_ 
  !
  !  #]  
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L1B_SPH, only: L1B_SPH_type, Init_L1B_SPH, Print_L1B_SPH
  USE ErrorHandler, only: no_error, program_abort

  implicit none
  TYPE(L1B_SPH_type), pointer :: test_L1B_SPH
  integer :: error_flag

  nullify(test_L1B_SPH)
  error_flag = no_error

  print *,"first try ..."
  call Init_L1B_SPH(test_L1B_SPH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_L1B_SPH")
  call print_L1B_SPH(test_L1B_SPH,error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) call program_abort(error_flag,"print_L1B_SPH")

  allocate(test_L1B_SPH)

  print *,"second try ..."
  call Init_L1B_SPH(test_L1B_SPH, error_flag)
  IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_L1B_SPH")
  call print_L1B_SPH(test_L1B_SPH,error_flag)
  IF (error_flag .ne. no_error) call program_abort(error_flag,"print_L1B_SPH")

  deallocate(test_L1B_SPH)

end program TestL1B_SPH
