program Test_L1B_US_MDS
  !  #[ Description
  !     a simple test program to test the L1B_US_MDS module
  !     created:     26-07-2005, by: J. de Kloe, KNMI
  !
  !     Modifications:
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !      17-Oct-2007  J. de Kloe   added a nullify statement
  !      16-Jan-2008  J. de Kloe   phase out integer kind i_ 
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L1B_US_MDS
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  integer :: error_flag
  integer, parameter :: N_meas = 67
  integer, parameter :: N_range_gates = 24
  TYPE(L1B_US_MDS_type), pointer :: US_MDS

  nullify(US_MDS)

  print *,"testing L1B_US_MDS"
  allocate(US_MDS)

  print *,"initialising"
  call Init_L1B_US_MDS(US_MDS, N_meas, N_range_gates, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L1B_US_MDS")

  print *,"printing datastructure: "
  call Print_L1B_US_MDS(US_MDS)

  print *,"deleting"
  call Delete_L1B_US_MDS(US_MDS)

  deallocate(US_MDS)
  print *,"test ended succesfull"

end program Test_L1B_US_MDS
