program TestL2BC_DS_Settings
  !  #[ Description
  !     a simple test program to test the L2BC_DS_settings module
  !     created:     26-Oct-2006, by: David Tan, ECMWF
  !
  !     Modifications:
  !      26-Oct-2006  D. Tan       Original version
  !      23-Mar-2007  J. de Kloe   added ZeroObs_flag and Empty_flag
  !      27-Mar-2007  J. de Kloe   added BRC200_flag
  !      16-Jan-2008  J. de Kloe   phase out integer kind i_
  !
  !  #]
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L2BC_DS_Settings, only:   Set_Default_L2BCds_Settings, &
                                Get_Cmdline_Options_L2BCds,  &
                                Print_L2BCds_Settings, &
                                set_L2BC_string
  USE ErrorHandler, only: no_error, program_abort
  USE Logging, only: logmsg,log_error

  integer            :: error_flag
  logical            :: L2C_flag
  character(len=3)   :: L2BC_string
  logical            :: ZeroObs_flag
  logical            :: Empty_flag
  logical            :: BRC200_flag

  print *,"test L2BC_DS_Settings"

  !*** command line settings ***

  call Set_Default_L2BCds_Settings(L2C_flag, ZeroObs_flag, Empty_flag, &
                                   BRC200_flag)

  call Get_Cmdline_Options_L2BCds(L2C_flag, error_flag, &
                                  ZeroObs_flag, Empty_flag, BRC200_flag)
  IF (error_flag .ne.  no_error) THEN
     call logmsg(log_error,"aborted Get_Cmdline_Options_L2BCds")
     call program_abort(error_flag,"Get_Cmdline_Options_L2BCds")
  END IF

  ! print the settings defined in Set_L2BCds_Settings
  ! and any changes added to them by the command line options
  call Print_L2BCds_Settings(L2C_flag, ZeroObs_flag, Empty_flag, BRC200_flag)

  ! Initialize the L2BC_string
  L2BC_string=set_L2BC_string(L2C_flag)

  print *,'L2BC_string set to ['//L2BC_string//']'

end program TestL2BC_DS_Settings
