program TestL2B_AMD_SPH
  !  #[ Documentation
  !
  ! A program to test the L2BC_SPH module.
  !
  ! Written by Jos de Kloe, David Tan
  !
  ! History:
  !    24-Apr-2007 J. de Kloe  added test for GetByteSize_AMD_SPH_KVT
  !    24-Apr-2007 J. de Kloe  phase out the SummaryVars code
  !    16-Jan-2008 J. de Kloe  phase out integer kind i_ 
  !
  !  #] 
  !  #[ modules used
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L2B_AMD_SPH, only: L2B_AMD_SPH_type, Init_L2B_AMD_SPH, &
                         Print_L2B_AMD_SPH, Delete_L2B_AMD_SPH, &
                         GetByteSize_AMD_SPH_KVT
  USE ErrorHandler, only: no_error, program_abort
  !  #]
  !  #[ variables
  implicit none
  TYPE(L2B_AMD_SPH_type), pointer :: test_L2B_AMD_SPH
  integer :: error_flag, size
  !  #]
  !  #[ program code
  ! init
  nullify(test_L2B_AMD_SPH)

  print *,"first try ..."
  call Init_L2B_AMD_SPH(test_L2B_AMD_SPH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) &
  !     call program_abort(error_flag,"Init_L2B_AMD_SPH")
  call print_L2B_AMD_SPH(test_L2B_AMD_SPH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) &
  !     call program_abort(error_flag,"print_L2B_AMD_SPH")

  allocate(test_L2B_AMD_SPH)

  print *,"second try ..."
  call Init_L2B_AMD_SPH(test_L2B_AMD_SPH, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L2B_AMD_SPH")
  call print_L2B_AMD_SPH(test_L2B_AMD_SPH, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"print_L2B_AMD_SPH")

  ! allocate the DSD's, otherwise the GetBytesize result is wrong
  allocate(test_L2B_AMD_SPH%GeoADS1_DSD)
  allocate(test_L2B_AMD_SPH%GeoADS2_DSD)
  allocate(test_L2B_AMD_SPH%MDS1_DSD)
  allocate(test_L2B_AMD_SPH%MDS2_DSD)

  ! this is already done inside Init_L2B_AMD_SPH()
  ! which is a rather dirty trick ...
  !allocate(test_L2B_AMD_SPH%Input_DSD(10))

  size = GetByteSize_AMD_SPH_KVT(test_L2B_AMD_SPH)
  print *,"GetByteSize_AMD_SPH_KVT() = ",size

  call Delete_L2B_AMD_SPH(test_L2B_AMD_SPH)
  deallocate(test_L2B_AMD_SPH)
  !  #]
end program TestL2B_AMD_SPH
