program Test_L2B_AuxPar_DataStructure
  !  #[ Description
  !     a simple test program to test the l2b_auxpar_datastructure module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]
  !  #[ modules used
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L2B_AuxPar_DataStructure, only: Init_L2B_AuxPar, Delete_L2B_AuxPar, &
                                      Print_L2B_AuxPar, L2B_AuxPar_Type
!  USE L2B_AuxPar_SPH, only: Delete_L2B_AuxPar_SPH
  USE ErrorHandler, only: no_error, program_abort
  !  #]
  !  #[ variables
  implicit none
  TYPE(L2B_AuxPar_Type) :: test_L2B_AuxPar_GADS
  integer               :: error_flag
  !  #]
  !  #[ program code
  call Init_L2B_AuxPar(test_L2B_AuxPar_GADS,error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L2B_AuxPar")

  call Print_L2B_AuxPar(test_L2B_AuxPar_GADS, &
                        "test_L2B_AuxPar_GADS", error_flag)

  call Delete_L2B_AuxPar(test_L2B_AuxPar_GADS)

  print *,"done"

  !  #]
end program Test_L2B_AuxPar_DataStructure
