program Testprog_L2B_AuxPar_SPH
  !  #[ Description
  !     a simple test program to test the l2b_auxpar_sph module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE L2B_AuxPar_SPH, only: L2B_AuxPar_SPH_type, Init_L2B_AuxPar_SPH, &
                            Print_L2B_AuxPar_SPH
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  TYPE(L2B_AuxPar_SPH_type), pointer :: test_L2B_AuxPar_SPH
  integer :: error_flag

  error_flag = no_error
  nullify(test_L2B_AuxPar_SPH)

  print *,"first try ..."
  call Init_L2B_AuxPar_SPH(test_L2B_AuxPar_SPH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) &
  !     call program_abort(error_flag,"Init_L2B_AuxPar_SPH")
  call print_L2B_AuxPar_SPH(test_L2B_AuxPar_SPH,error_flag,&
                            prefix="Test_L2B_AuxPar_SPH")
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) &
  !     call program_abort(error_flag,"print_L2B_AuxPar_SPH")

  allocate(test_L2B_AuxPar_SPH)

  print *,"second try ..."
  call Init_L2B_AuxPar_SPH(test_L2B_AuxPar_SPH, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L2B_AuxPar_SPH")  
  call print_L2B_AuxPar_SPH(test_L2B_AuxPar_SPH,error_flag,&
                            prefix="Test_L2B_AuxPar_SPH")
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"print_L2B_AuxPar_SPH")

  deallocate(test_L2B_AuxPar_SPH)

end program Testprog_L2B_AuxPar_SPH
