program TestMainProductHeader
  !  #[ Description   

  !     a simple test program to test the mainproductheader module 
  !     created by: J. de Kloe, KNMI
  ! 
  !     Modifications:
  !     16-Jan-2008 J. de Kloe phase out integer kind i_ 
  !     21-Jan-2008 J. de kloe added workaround in call to GetByteSize_MPH_KVT
  !                            to not change the expected output for now.
  !

  !  #] 

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE MainProductHeader, only: MPH_type, Init_MPH, Print_MPH, &
                               GetByteSize_MPH_KVT
  USE ErrorHandler, only: no_error, program_abort

  implicit none
  TYPE(MPH_type), pointer :: test_MPH
  integer :: error_flag, size

  nullify(test_MPH)
  error_flag = no_error

  print *,"first try ..."
  call Init_MPH(test_MPH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_MPH")  
  call print_MPH(test_MPH,error_flag,prefix="Test_MPH")
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) call program_abort(error_flag,"print_MPH")  

  allocate(test_MPH)

  print *,"second try ..."
  call Init_MPH(test_MPH, error_flag)
  IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_MPH")  
  call print_MPH(test_MPH,error_flag,prefix="Test_MPH")
  IF (error_flag .ne. no_error) call program_abort(error_flag,"print_MPH")  

  size = GetByteSize_MPH_KVT()
  print *,"GetByteSize_MPH_KVT() = ",size

  deallocate(test_MPH)

end program TestMainProductHeader
