program Test_Meas_Map
  !  #[ Description
  !     a simple test program to test the meas_map module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_ 
  !
  !  #]                                                                         
  !  #[ modules used
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE Meas_Map, only: Meas_Map_type, Init_Meas_Map, &
                      Print_Meas_Map, Delete_Meas_Map, &
                      Get_ByteSize_Meas_Map_Bin, &
                      Get_ByteSize_Meas_Map_Row, &
                      Get_ByteSize_Meas_Map
  USE EE_CFI_Datatypes, only: IntAs, IntAl, IntAuc
  USE ErrorHandler, only: no_error  
  !  #]
  !  #[ variables
  implicit none
  TYPE(Meas_Map_type) :: Map
  integer             :: error_flag
  integer(IntAl)      ::c_bytesize
  !  #]
  !  #[ program code
  print *,"Init the Map"
  call Init_Meas_Map(Map, 67_IntAs, 24_IntAs, error_flag)
  if (error_flag .ne. no_error) then
     print *,"error reported by Init_Meas_Map():"
     print *,"error_flag = ",error_flag
  endif

  call print_Meas_Map(Map)

  c_bytesize = Get_ByteSize_Meas_Map_Bin()
  print *,"c_bytesize for Meas_Map_Bin = ",c_bytesize

  c_bytesize = Get_ByteSize_Meas_Map_Row(Map%Row(1))
  print *,"c_bytesize for Meas_Map_Row = ",c_bytesize

  c_bytesize = Get_ByteSize_Meas_Map(Map,N_Meas_to_write=67_IntAuc)
  print *,"c_bytesize for Meas_Map     = ",c_bytesize

  call Delete_Meas_Map(Map)
  print *,"done"
  !  #]
end program Test_Meas_Map
