program Testprog_RBC_SPH
  !  #[ Description
  !     a simple test program to test the rbc_sph module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE RBC_SPH, only: RBC_SPH_type, Init_RBC_SPH, Print_RBC_SPH, &
                     GetByteSize_RBC_SPH_KVT
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  TYPE(RBC_SPH_type), pointer :: test_RBC_SPH
  integer :: error_flag, size

  error_flag = no_error
  nullify(test_RBC_SPH)

  call Init_RBC_SPH(test_RBC_SPH, error_flag)
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_RBC_SPH")
  call print_RBC_SPH(test_RBC_SPH,error_flag,prefix="Test_RBC_SPH")
  ! ignore this error, since it was deliberately added
  !IF (error_flag .ne. no_error) call program_abort(error_flag,"print_RBC_SPH")

  allocate(test_RBC_SPH)

  call Init_RBC_SPH(test_RBC_SPH, error_flag)
  IF (error_flag .ne. no_error) call program_abort(error_flag,"Init_RBC_SPH")  
  call print_RBC_SPH(test_RBC_SPH,error_flag,prefix="Test_RBC_SPH")
  IF (error_flag .ne. no_error) call program_abort(error_flag,"print_RBC_SPH")

  size = GetByteSize_RBC_SPH_KVT()
  print *,"GetByteSize_RBC_SPH_KVT() = ",size

  deallocate(test_RBC_SPH)

end program Testprog_RBC_SPH
