!+ Virtual data assimilation system module
!
! This module is a stub for a real data assimilation system, where
! the L1B data and AMD data are available
!
! History
! Paul Poli, METEO-FRANCE  19-Dec-2007 Original code
!
module virtual_das

  USE l1b_datastructure, only: L1B_HDR_DataType, L1B_BRC_DataType
  USE amd_datastructure, only: AMD_HDR_DataType, AMD_BRC_DataType

  implicit none

  ! a struct to hold the necessary L1B input data for the processor
  TYPE(L1B_HDR_DataType), pointer,                 save :: DAS_L1B_Headers
  TYPE(L1B_BRC_DataType), dimension(:),   pointer, save :: DAS_L1B_BRCs
  ! a struct to hold the necessary NWP input data for the processor
  TYPE(AMD_HDR_DataType), dimension(:),   pointer, save :: DAS_AMD_Headers
  TYPE(AMD_BRC_DataType), dimension(:,:), pointer, save :: DAS_AMD_BRCs

  ! a switch to indicate of the virtual_das is in use or not
  logical, save :: virtual_das_initialised = .false.

end module virtual_das
