program TestReadL2BauxPar
  !  #[ Description
  !     a simple test program to test the read_l2b_auxpar_data  module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !       16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE Read_L2B_AuxPar_data, only: InitRead_L2B_AuxPar_fileModule,&
                                  Read_L2B_AuxPar_file
  USE L2B_AuxPar_DataStructure, only: Init_L2B_AuxPar, L2B_AuxPar_Type, &
                                      Print_L2B_AuxPar,  Delete_L2B_AuxPar
  USE VerbosityControl, only: VerbosityReport
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  TYPE(L2B_AuxPar_Type)       :: test_L2B_AuxPar
  integer                     :: error_flag
  character(len=*), parameter :: filename = &
       "AE_TEST_AUX_PAR_2B_20050331T000000_20111231T000000_0000.EEF"
  
  print *,"starting test program"

  call InitRead_L2B_AuxPar_fileModule(error_flag)!,&
!       ChoosenVerbosity=VerbosityReport)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"InitRead_L2B_AuxPar_fileModule")

  call Init_L2B_AuxPar(test_L2B_AuxPar,error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Init_L2B_AuxPar")

  call Read_L2B_AuxPar_file(test_L2B_AuxPar, filename, error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Read_L2B_AuxPar_file")

  call Print_L2B_AuxPar(test_L2B_AuxPar,"test_L2B_AuxPar",error_flag)  
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Print_L2B_AuxPar")

  call Delete_L2B_AuxPar(test_L2B_AuxPar)

  print *,"test program end successfull"

end program TestReadL2BauxPar
