function errFlag = CreateE2SData(scenarioName)

% function CreateE2SData(scenarioName)
% 
% Run the E2S Simulator with the scenario given as input argument.
%
% Revision 1.1   19 Dec 2005 Marie-Laure Denneulin
% Initial revision



DefinePaths;
scenarioPath=fullfile(SimPathE2S,'scenarios',scenarioName);
instrumentPath = fullfile(scenarioPath,'instrumentData');
aispPath = fullfile(scenarioPath,'aispProduct');
tmp=pwd;

% Run the E2S simulator
ScenarioDefFile = fullfile(SimPathE2S,'scenarios',scenarioName,[scenarioName,'.xml']);

TestExistInstData = exist(instrumentPath,'dir');

if TestExistInstData==7,
    button = questdlg('Do you want to delete instrument datas and aisp products?','Warning','Yes','No','Yes');
    switch button
        case 'Yes'
            rmdir(instrumentPath,'s'); mkdir(instrumentPath);
            if exist(aispPath,'dir'),
                rmdir(aispPath,'s');
                mkdir(aispPath);
            end;
            fprintf('Simulation \n')
            errFlag = SDC_Controller(ScenarioDefFile);
        case 'No'
            return;
        case isempty(button)
            return;      
    end
else
    mkdir(instrumentPath);
    errFlag = SDC_Controller(ScenarioDefFile);
end


if errFlag ~= 0,
    fprintf('Execution of E2S failed !\n')
    return;
else
    % Creation of AISP
    fprintf('Creation of AISP\n')
    cd(SimPathE2S);
    system(sprintf('./bin/SDF_DownlinkFormatMain %s %s',ScenarioDefFile,'./catalog/system.cat'))
    cd(tmp);     
end
