function CreateL1BData(JobOrderName, scenarioName)

% Function CreateL1bData(JobOrderName,scenarioName)
%
% Create the jobOrder, Run the L0, L1A and L1B processors for the AISP of the scenarioName
% scenario
% 
% Input arguments :
%
% - JobOrderName will be used to create the name of the job
%   order : JobOrder.JOBORDERNAME.xml. For example, JOBORDERNAME can take the
%   values : '00001' or 'test01'
%
% - scenarioName is the name of the directory containing the scenario
%
% Revision 1.1  5 Dec 2005
% Initial Revision

DefinePaths;

tmp=pwd;
% Create the Job Order
CreateJobOrder(JobOrderName, scenarioName);
testJobDir = exist(fullfile(SimPathL1b,'working',JobOrderName));
if testJobDir==0, mkdir(fullfile(SimPathL1b,'working',JobOrderName)); end;

% Run the L0 processor
cd(SimPathL1b)
system(sprintf('./bin/LZC_LZProcMain %s/jobOrder/JobOrder.%s.xml',SimPathL1b,JobOrderName))
errL0 = ans;
%If the execution of the L0 processor failed, the program stop here 
if errL0==1, return;end;
    
% Run the L1A processor
system(sprintf('./bin/LAC_LOAProcMain %s/jobOrder/JobOrder.%s.xml',SimPathL1b,JobOrderName))
errL1A = ans;
%If the execution of the L1A processor failed, the program stop here
if errL1A==1, return;end;

% Lancement du processeur L1B
system(sprintf('./bin/LBC_LOBProcMain %s/jobOrder/JobOrder.%s.xml',SimPathL1b,JobOrderName))
errL1B = ans;
%If the execution of the L1B processor failed, the program stop here
if errL1B==1, return;end;

cd(tmp);

return;
