function CreateScenarioDefFile(nbSegment,scenarioName)

global SimPathE2S
global DataPath

scenarioPath=fullfile(SimPathE2S,'scenarios',scenarioName);
docNode = com.mathworks.xml.XMLUtils.createDocument('scenarioDefinition');
docrootNode = docNode.getDocumentElement;

opName = docNode.createElement('operatorName');
scenID = docNode.createElement('scenarioID');
comments = docNode.createElement('comments');
imageDefocus = docNode.createElement('imageDefocusFile');
simConstants = docNode.createElement('simulatorConstantsFilename');
aisp = docNode.createElement('aispDefaultParametersFilename');
lidarCal = docNode.createElement('lidarInstrumentCalModeParametersFilename');
aispHousekp = docNode.createElement('aispHousekeepingParametersFilename');
aispError = docNode.createElement('aispErrorDefaultParametersFilename');
lidarDetector = docNode.createElement('lidarInstrumentDetectorParametersFilename');
lidarLink = docNode.createElement('lidarInstrumentLinkParametersFilename');
lidarMie = docNode.createElement('lidarInstrumentMieParametersFilename');
lidarRayleigh = docNode.createElement('lidarInstrumentRayleighParametersFilename');
sat = docNode.createElement('satelliteParametersFilename');
orbit = docNode.createElement('orbitScenarioFilename');
dem = docNode.createElement('demParametersFilename');
satCharac = docNode.createElement('satelliteCharacterisationFilename');
flagInstData = docNode.createElement('instrumentDataSimulated');
flagAispData = docNode.createElement('aispDataSimulated');
instFolder = docNode.createElement('instrumentDataFolder');
aispFolder = docNode.createElement('aispDataFolder');
log = docNode.createElement('logFile');
brc = docNode.createElement('brcDataListFilename');
%catalog = docNode.createElement('catalogFile');
aispProd = docNode.createElement('aispVersionCounterFilename');
Seg = docNode.createElement('List_of_segments');

for kSeg=1: nbSegment, 
    segment = docNode.createElement('segment');
    segment.appendChild(docNode.createTextNode([sprintf('Segment%02d.xml',kSeg)]));
    Seg.appendChild(segment);
end

scenID.appendChild(docNode.createTextNode('toto'));
opName.appendChild(docNode.createTextNode('MLD'));
comments.appendChild(docNode.createTextNode('test'));
imageDefocus.appendChild(docNode.createTextNode('DefocusImage.tiff'));
simConstants.appendChild(docNode.createTextNode(fullfile(SimPathE2S,'defaults','satelliteSimulatorConstants.xml')));
aisp.appendChild(docNode.createTextNode(['aispDefaultParameters.xml']));
lidarCal.appendChild(docNode.createTextNode(['lidarInstrumentCalibrationModeParameters.xml']));
aispHousekp.appendChild(docNode.createTextNode(['aispHousekeepingParameters.xml']));
aispError.appendChild(docNode.createTextNode(['aispErrorDefaultParameters.xml']));
lidarDetector.appendChild(docNode.createTextNode(['lidarInstrumentDetectorParameters.xml']));
lidarLink.appendChild(docNode.createTextNode(['lidarInstrumentLinkParameters.xml']));
lidarMie.appendChild(docNode.createTextNode(['lidarInstrumentMieParameters.xml']));
lidarRayleigh.appendChild(docNode.createTextNode(['lidarInstrumentRayleighParameters.xml']));
sat.appendChild(docNode.createTextNode(['satelliteParameters.xml']));
orbit.appendChild(docNode.createTextNode(['orbitScenarioFile.xml']));
dem.appendChild(docNode.createTextNode(['demParameters.xml']));
satCharac.appendChild(docNode.createTextNode(['satelliteCharacterisation.xml']));
flagInstData.appendChild(docNode.createTextNode('false'));
flagAispData.appendChild(docNode.createTextNode('false'));
instFolder.appendChild(docNode.createTextNode(['instrumentData']));
aispFolder.appendChild(docNode.createTextNode(['aispProduct']));
log.appendChild(docNode.createTextNode(['logFile']));
%catalog.appendChild(docNode.createTextNode([SimPathE2S,'/catalog/system.cat']));
brc.appendChild(docNode.createTextNode('brcDataList.xml'));
aispProd.appendChild(docNode.createTextNode('aispProductCounter.xml'));

docrootNode.appendChild(scenID);
docrootNode.appendChild(opName);
docrootNode.appendChild(comments);
docrootNode.appendChild(imageDefocus);
docrootNode.appendChild(simConstants);
docrootNode.appendChild(aisp);
docrootNode.appendChild(lidarCal);
docrootNode.appendChild(aispHousekp);
docrootNode.appendChild(aispError);
docrootNode.appendChild(lidarDetector);
docrootNode.appendChild(lidarLink);
docrootNode.appendChild(lidarMie);
docrootNode.appendChild(lidarRayleigh);
docrootNode.appendChild(sat);
docrootNode.appendChild(orbit);
docrootNode.appendChild(dem);
docrootNode.appendChild(satCharac);
docrootNode.appendChild(flagInstData);
docrootNode.appendChild(flagAispData);
docrootNode.appendChild(instFolder);
docrootNode.appendChild(aispFolder);
docrootNode.appendChild(log);
docrootNode.appendChild(brc);
docrootNode.appendChild(aispProd);
%docrootNode.appendChild(catalog);
docrootNode.appendChild(Seg);



xmlFileName = fullfile(scenarioPath,[scenarioName,'.xml']);
xmlwrite(xmlFileName,docNode);
