function CreateSegDefFile(numSegment,startTime,scenarioPath)

global SimPathE2S
global DataPath

docNode = com.mathworks.xml.XMLUtils.createDocument('segmentDefinition');
docrootNode = docNode.getDocumentElement;

segID = docNode.createElement('segmentID');
start = docNode.createElement('startTime');
aocs = docNode.createElement('aocsErrorParametersFilename');
atmosProfile = docNode.createElement('atmosphereProfileParametersFilename');
atmosCloud = docNode.createElement('atmosphereCloudParametersFilename');
atmosGround = docNode.createElement('atmosphereGroundParametersFilename');
aisp = docNode.createElement('aispErrorParametersFilename');
lidar = docNode.createElement('lidarInstrumentModeParametersFilename');

segID.appendChild(docNode.createTextNode(sprintf('Segment%02d',numSegment)));
start.appendChild(docNode.createTextNode(startTime));
aocs.appendChild(docNode.createTextNode([sprintf('Segment%02d_',numSegment),'aocsErrorParameters.xml']));
atmosProfile.appendChild(docNode.createTextNode([sprintf('Segment%02d_',numSegment),'atmosphereProfileParameters.xml']));
atmosCloud.appendChild(docNode.createTextNode([sprintf('Segment%02d_',numSegment),'atmosphereCloudParameters.xml']));
atmosGround.appendChild(docNode.createTextNode([sprintf('Segment%02d_',numSegment),'atmosphereGroundParameters.xml']));
aisp.appendChild(docNode.createTextNode([sprintf('Segment%02d_',numSegment),'aispErrorParameters.xml']));
lidar.appendChild(docNode.createTextNode([sprintf('Segment%02d_',numSegment),'lidarInstrumentModeParameters.xml']));

docrootNode.appendChild(segID);
docrootNode.appendChild(start);
docrootNode.appendChild(aocs);
docrootNode.appendChild(atmosProfile);
docrootNode.appendChild(atmosCloud);
docrootNode.appendChild(atmosGround);
docrootNode.appendChild(aisp);
docrootNode.appendChild(lidar);


xmlFileName = fullfile(scenarioPath,sprintf('Segment%02d.xml',numSegment));
xmlwrite(xmlFileName,docNode);
