function nbBRCperSegment=brcInSegment(scenarioName)

% Function nbBRCperSegment = brcInSegment(scenarioName)
% 
% Compute for each segment the number of BRC
%
% Input argument(s) : 
% 
% - scenarioName is the directory containing the scenario

DefinePaths;
scenarioPath=fullfile(SimPathE2S,'scenarios',scenarioName);

xml=xmlread(fullfile(scenarioPath,[scenarioName,'.xml']));
ListSegmentNode = xml.getChildNodes.item(0).getChildNodes.item(49).getChildNodes;
nbSegment = (ListSegmentNode.getLength-1)/2;
for iseg= 1:nbSegment,
    SegmentName=ListSegmentNode.item(2*iseg-1).getChildNodes.item(0).getData;
    xmlseg =xmlread(fullfile(scenarioPath,char(SegmentName)));
    startTimeNode = xmlseg.getChildNodes.item(0).getChildNodes.item(3).getChildNodes.item(0);
    startTime(iseg)=ConvertTime(char(startTimeNode.getData));
end

nbBRCperSegment(1)=ceil((startTime(2)-startTime(1))/(28/(24*60*60)));

tmp=startTime(1)+nbBRCperSegment(1)*28/(24*60*60);

for i=2:nbSegment-1,
    if ((tmp>=startTime(i))&(tmp<=startTime(i+1))),  
        nbBRCperSegment(i)=ceil((startTime(i+1)-tmp)/(28/(24*60*60)));
        tmp=tmp+nbBRCperSegment(i)*28/(24*60*60);
    end
end

