function e2sData = ReadE2SData(e2s_instrumentdata_path)

d=dir(fullfile(e2s_instrumentdata_path,'SLS_Input_BRC_*.m'));
numFiles=length(d);

if numFiles==0,
    error('No SLS_Input_BRC files has been found in directory : %s\n',e2s_instrumentdata_path)
end

for kFiles=1:numFiles,
    
    fprintf(1,'Starting reading of E2S BRC nr %3d of %3d\n',kFiles,numFiles);

    % retain only atmosphere-related lines
    ficname=fullfile(e2s_instrumentdata_path,d(kFiles).name);
    %ficname_atmosphere=sprintf('%s_atmosphere',ficname);
    %system(sprintf('touch %s',ficname_atmosphere));
    %delete(ficname_atmosphere);
    %system(sprintf('grep Atmosphere %s > %s',ficname,ficname_atmosphere));
    %% Open SLS_Input_BRC_nnn.m file
    %fprintf('Opening file %s \n',ficname_atmosphere);
    %fid=fopen(ficname_atmosphere,'rt');
    fprintf('Opening file %s \n',ficname);
    fid=fopen(ficname,'rt');

    % Read and execute line by line (faster than executing the whole file as a script)
    while(~feof(fid)),
        line=fgetl(fid);
        eval(line);
    end
    fclose(fid);
    
    % Store BRC data in instance kFiles of the output structure.
    e2sData.DSR(kFiles).Atmosphere=Atmosphere;
    
    % Message monitoring progree
    fprintf(1,'Reading E2S BRC nr %3d of %3d completed\n',kFiles,numFiles);
    
end

