function ResetProductCounterFile

% Function ResetProductCounterFile
%
% Reset counters for the L0, L1A WVM, L1B WVM and L1B ZWC files
%
%
% Revision 1.1  22 Dec 2005 M-L Denneulin
% Initial Revision


DefinePaths;
filepath = fullfile(SimPathL1b,'etc','productCounter.xml');
xml = xmlread(filepath);
node= xml.getChildNodes.item(0).getChildNodes;
nodeLength = xml.getChildNodes.item(0).getChildNodes.getLength;

CounterL1BWVM = str2num(char(node.item(23).getChildNodes.item(0).getData));
% Reset the Level 0 file counter
if node.item(3).getChildNodes.item(0).getData ~=0,
    node.item(3).getChildNodes.item(0).setData(num2str(0));
end
% Reset the Level 1A WVM file counter
 if node.item(5).getChildNodes.item(0).getData ~=0,
    node.item(5).getChildNodes.item(0).setData(num2str(0));
 end  
% Reset the Level 1B WVM file counter
if node.item(23).getChildNodes.item(0).getData ~=0,
    node.item(23).getChildNodes.item(0).setData(num2str(0));
end
% Reset the Level 1B ZWC file counter
if node.item(39).getChildNodes.item(0).getData ~=0,
    node.item(39).getChildNodes.item(0).setData(num2str(0));
end
xmlwrite(filepath,xml);
