function plotconfig = Set_PlotConfig(scenario);
% CONFIGURATION FILE FOR ADM L2B PLOTTING TOOLS version 1.2

% select among the following plots:
plotconfig.plot_rho=true;       % 2D plot: map of scattering ratio for E2S and L1B
plotconfig.plot_rho2b=true;     % 2D plot: map of scattering ratio for L2B
plotconfig.plot_rayuse=true;    % 2D plot: map reporting use of Rayleigh height bins by L2BP
plotconfig.plot_mieuse=true;    % 2D plot: map reporting use of Mie height bins by L2BP
plotconfig.plot_1bwind=true;    % 2D plot: 1B wind retrievals at measurement level
plotconfig.plot_brc=true;       % 1D plot: wind retrievals at observation level, for each BRC

% specify here the printing command and format
% comment out if you do not want any postscript printouts of the figures
plotconfig.printcmd='-dpsc';
plotconfig.printext='.ps';

% specify here the format in which figures are to be saved
% comment out if you do not want to save the figures
plotconfig.figext='.fig';

% select here the range of BRCs you want to plot
plotconfig.BRCrange_To_Plot='1:1';
% other example: BRCrange_To_Plot='[2,4,5:10]';

if (exist('scenario'))
   plotconfig.scenario=scenario;
else
   plotconfig.scenario='defaultscenarioname';
end

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
