#!/bin/csh

# Remark:
# on some systems the shell may print some extra lines when it starts
# for example "Latex_new environment set on LINUX" on Davids machine.
# This confuses this test, and let it fail without properly doing
# the test it was designed for.

# this line simulates this problem for me, so I can test my workaround:
#echo "Latex_new environment set on LINUX"

echo "Recursively testing directory:"
echo $1

set tmp_file = tmp_list.txt
\rm -rf ${tmp_file}
find $1 | grep "=" > ${tmp_file}

# (this trick was taken from our compare_result sript)
# do a line count using "wc -l", then delete all spaces from the
# result with "tr -d ' '" and finally take the first character with "cut -c 1"
# If the tmp_list was an empty file the result should be a single "0"
# If there were some lines in it, the result should be non-zero.
set count_eq = `wc -l ${tmp_file} | tr -d ' ' | cut -c 1`
echo count_eq = ${count_eq}

if ( ${count_eq} != '0' ) then
  echo "ERROR: "
  echo "the software seems to contain file or directory names that"
  echo "contain an equals '=' sign. "
  echo "This has been detected $count_eq times"
  echo "Please remove them, since this may cause major portability problems"
  echo "when using these names in scripts on some platforms ...."
  echo ""
  echo "problematic files/directories:"
  echo ""
  cat ${tmp_file}
  echo ""
endif
