#!/usr/bin/env python

# a little script to check if all python modules we need are available
# 
# written by: J. de Kloe, KNMI
# modifications:
#   18-Apr-2007 original version
#

print "checking for presence of python modules needed by the report generator"
ProblemFound = False

try:
    import sys
except:
    print "ERROR could not import python module: sys"
    print "This module should be present in any recent python installation"
    print "The L2B_ReportGenerator.py cannot be used without this module"
    ProblemFound = True
    
try:
    import os
except:
    print "ERROR could not import python module: os"
    print "This module should be present in any recent python installation"
    print "The L2B_ReportGenerator.py cannot be used without this module"
    ProblemFound = True
    
try:
    import re
except:
    print "ERROR could not import python module: re"
    print "This module should be present in any recent python installation"
    print "The L2B_ReportGenerator.py cannot be used without this module"
    ProblemFound = True
    
try:
    import time
except:
    print "ERROR could not import python module: time"
    print "This module should be present in any recent python installation"
    print "The L2B_ReportGenerator.py cannot be used without this module"
    ProblemFound = True

try:
    import xml.dom
except:
    print "ERROR could not import python module: xml.dom"
    print "This module is needed for processing xml files"
    print "The L2B_ReportGenerator.py and CheckVersionNumbers.py scripts"
    print "cannot be used without this module"
    print "please install the xml or PyXml python package."
    ProblemFound = True
    
try:
    import xml.dom.minicompat
except:
    print "WARNING could not import python module: xml.dom.minicompat"
    print "Some internal checks in the L2B_ReportGenerator.py cannot "
    print "be done without this module, but the script itself"
    print "should be functional"
    print "(this module is part of the PyXml python package)"
    #ProblemFound = True

try:
    import xml.dom.minidom
except:
    print "ERROR could not import python module: xml.dom.minidom"
    print "This module is needed for processing xml files"
    print "The L2B_ReportGenerator.py cannot be used without this module"
    print "please install the xml or PyXml python package."
    ProblemFound = True
    
try:
    import xml.xpath
except:
    print "ERROR could not import python module: xml.xpath"
    print "This module is needed for processing xml files"
    print "The CheckVersionNumbers.py script"
    print "cannot be used without this module"
    print "please install the xml or PyXml python package."
    ProblemFound = True
    
if (not ProblemFound):
    print "all import checks passed"
