# NOTE: this is not really a script, but a sequence of commands that I
#       issue to install and test the L2BP inside the ThinLayerEmulator,
#       and is added here for my own convenience. JK

set ThinLayerEmulatorSourceDir = "/home/jos/werk/ThinLayer_test/"
set ThinLayerEmulatorSource    = "TL*Standalone*1.1*RHEL3.zip"
# note that I use the wildcard * because I don't know how
# to handle the spaces in the filename in csh

# assume this script was started from within the Scripts directory
# so go up one dir, and remember the current path
cd ..
set L2BPpath = `pwd`

cd $ThinLayerEmulatorSourceDir
unzip $ThinLayerEmulatorSource

# this should create a directory named "TL Standalone 1.1 RHEL3/" 
# and inside it unpack the following dirs/files:
# Licence.txt  
# RHEL3.X/
# RHEL3.X/ACS_ADM_DummyProcessor-1.1-1.el3.i386.rpm  
# RHEL3.X/ACS_ADM_ThinLayerSimulator-1.1-1.el3.i386.rpm  
# RHEL3.X/qt-3.3.4-2000.acs.i386.rpm  
# RHEL3.X/xerces-c-2.1.0-1.REL3.0.i386.rpm  

cd TL*Standalone*1.1*RHEL3/RHEL3.X/

echo "installing the rpm packages"

# the following rpm commands only work if you are super user
sudo rpm -Uvh xerces-c-2.1.0-1.REL3.0.i386.rpm
sudo rpm -Uvh qt-3.3.4-2000.acs.i386.rpm
sudo rpm -Uvh --force ACS_ADM_ThinLayerSimulator-1.1-1.el3.i386.rpm
sudo rpm -Uvh --force ACS_ADM_DummyProcessor-1.1-1.el3.i386.rpm

echo "creating test configuration"

sudo chmod 777 /usr/acs 
sudo chmod 777 /usr/acs/processors
sudo chmod 777 /TlStandAloneWorkArea
sudo chmod 666 /usr/acs/conf/local/WSConfig.xml

# note that: rpm -qpl packagename.rpm
# gives you a list of all files present in an rpm package

mkdir /usr/acs/processors/Test_L2BP_V1.3
mkdir /usr/acs/processors/Test_L2BP_V1.3/bin
mkdir /usr/acs/processors/Test_L2BP_V1.3/conf

setenv L2BPpath /nobackup/users/kloedej/temp_ectrans/dat_CY31R1_Release1dot3_candidate1_test/aeolus/

cd /usr/acs/processors/Test_L2BP_V1.3
ln -fs ${L2BPpath}/ThinLayer/TaskTable.AE_L1B_L2B_WIND.xml

cd /usr/acs/conf/local
ln -fs ${L2BPpath}/ThinLayer/WorkstationConfigurationFile.xml WSConfig.xml

cd /usr/acs/processors/Test_L2BP_V1.3/bin
ln -fs ${L2BPpath}/main/L2B_processor
ln -fs ${L2BPpath}/Scripts/run_L2BP.sc
ln -fs ${L2BPpath}/Scripts/L2B_ReportGenerator.py

cd /TlStandAloneWorkArea/orders/
ln -fs ${L2BPpath}/ThinLayer/order.5.xml

cd /TlStandAloneWorkArea/L2BP/InputDataSet/
ln -fs ${L2BPpath}/input_data/l1bv105_example02_20070309_cloudlayers/AE_TEST_ALD_U_N_1B_20080101T000001986_000084000_001421_0001.DBL
ln -fs ${L2BPpath}/input_data/l1bv105_example02_20070309_cloudlayers/AE_TEST_ALD_U_N_1B_20080101T000001986_000084000_001421_0001.HDR
ln -fs ${L2BPpath}/input_data/l1bv105_example02_20070309_cloudlayers/AE_TEST_AUX_MET_12_20060919T000000_20060919T003000_0001.DBL
ln -fs ${L2BPpath}/input_data/l1bv105_example02_20070309_cloudlayers/AE_TEST_AUX_MET_12_20060919T000000_20060919T003000_0001.HDR

ln -fs ${L2BPpath}/ThinLayer/AE_TEST_AUX_PAR_2B_20050331T000000_20111231T000000_0000.EEF

ln -fs ${L2BPpath}/RayleighBrillouinProcessing/AE_TEST_AUX_RBC_L2_20071003T123456_20081002T123456_0001.DBL
ln -ds ${L2BPpath}/RayleighBrillouinProcessing/AE_TEST_AUX_RBC_L2_20071003T123456_20081002T123456_0001.HDR

ln -fs ${L2BPpath}/Test/AuxClim_file_handling/AE_TEST_AUX_CLM_L2_20010312T123456_20110312T123456_0001.DBL.expected.LINUX_pgf90 AE_TEST_AUX_CLM_L2_20010312T123456_20110312T123456_0001.DBL
ln -fs ${L2BPpath}/Test/AuxClim_file_handling/AE_TEST_AUX_CLM_L2_20010312T123456_20110312T123456_0001.HDR.expected AE_TEST_AUX_CLM_L2_20010312T123456_20110312T123456_0001.HDR

----------------
for my system I also need to set:
cd /usr/acs/lib/
ln -fs /usr/lib/libssl.so libssl.so.4
setenv LD_LIBRARY_PATH /usr/acs/lib/


then run the emulator:

/usr/acs/bin/TlStandaloneMMI

