#!/bin/csh

##############################################################################
# written by: J. de Kloe
#
# Modifications:
#   23-Apr-2007 J. de Kloe  adapted to the current branch
#
##############################################################################

#echo "this script needs to be updated to the current situation before use"
#echo "especially the scriptlist at the end ...."
#exit 1

# the next 5 counting commands, piping the find result to recursively generate
# the list of applicable files to wc and then to awk to do the adding,
# should automatically work for any version of the software.

set dirname = ./

set result1=`find $dirname -name "*.F90" -exec wc -l {} \; | awk '{s += $1} {print "nr. of lines is:",s}' | tail -1`
set result1files=`find $dirname -name "*.F90" | wc -l`

set result2=`find $dirname -name "*.c"   -exec wc -l {} \; | awk '{s += $1} {print "nr. of lines is:",s}' | tail -1`
set result2files=`find $dirname -name "*.c" | wc -l`

# remark that there are 2 testoutput files ending with ".py",
# so remove them from the last, to keep the output correct
set result3=`find $dirname -name "*.py"   -exec wc -l {} \; | grep -v testoutput | awk '{s += $1} {print "nr. of lines is:",s}' | tail -1`
set result3files=`find $dirname -name "*.py" | grep -v testoutput | wc -l`

set result4=`find $dirname -name "Make*"   -exec wc -l {} \; | awk '{s += $1} {print "nr. of lines is:",s}' | tail -1`
set result4files=`find $dirname -name "Make*" | wc -l`

set result5=`find $dirname -name "Obj*"   -exec wc -l {} \; | awk '{s += $1} {print "nr. of lines is:",s}' | tail -1`
set result5files=`find $dirname -name "Obj*" | wc -l`

echo "testting $dirname for *.F90, $result1, nr of files: $result1files"
echo "testting $dirname for *.c,   $result2, nr of files: $result2files"
echo "testting $dirname for *.py,  $result3, nr of files: $result3files"
echo "testting $dirname for Make*, $result4, nr of files: $result4files"
echo "testting $dirname for Obj*,  $result5, nr of files: $result5files"

set ScriptsInRoot = ( \
./dummy_lib_def \
./ee_cfi_lib_def \
./install_binary_datapack \
./use_ee_cfi_software \
./use_simple_xml \
./ee_cfi_software.install.script \
./Set_Makeoptions )

set ScriptsInTest = ( \
./Test/check_exists \
./Test/check_datafile_exists \
./Test/check_executable_exists \
./Test/compare_result \
./Test/compare_result_hexdump \
./Test/compare_result_reals \
./Test/Set_TestMakeoptions \
./Test/simplify_logging_lines \
./Test/Scripts/simplify_ReportFileName \
)

set ScriptsInTools = ( \
./Tools/run \
./Tools/run2 \
)

# this would not work, because we are counting the *.py scripts
# with a separate command above
#set ScriptsInScripts = ( `ls -1 ./Scripts`)

set ScriptsInScripts = ( \
./Scripts/build_L2BP.EXAMPLE.sc \
./Scripts/build_L2BP.KNMI.sc \
./Scripts/build_L2BP.sc \
./Scripts/Check_Names.sc \
./Scripts/Check_Python.sc \
./Scripts/do_aeolus_setup \
./Scripts/do_linecount.sc \
./Scripts/generate_makefiles_for_local_use \
./Scripts/Install_ThinLayerEmulator_Test.sc \
./Scripts/install.txt \
./Scripts/remove_binary_datapack \
./Scripts/run_L2BP.sc \
./Scripts/Set_Permissions \
./Scripts/Set_Systemsettings \
./Scripts/unpack_tarball \
./Scripts/use_f95 \
./Scripts/use_g95 \
./Scripts/use_gfortran \
./Scripts/use_ifort \
./Scripts/use_pgf90 \
./Scripts/use_pgf90_morgana \
)


set ScriptsList = ( ${ScriptsInRoot} ${ScriptsInTest} ${ScriptsInTools} ${ScriptsInScripts} )

#echo "total nr of lines in all scripts:"
# This works, but is rather verbose
#ls -1 $ScriptsList | xargs wc -l
#echo "total nr of scripts:"
#echo $ScriptsList | wc -w

set result6=`ls -1 $ScriptsList | xargs -l1 wc -l | awk '{s += $1} {print "nr. of lines is:",s}' | tail -1`
set result6files=`ls -1 $ScriptsList | wc -l`
echo "total nr of lines in scripts: $result6, nr of files: $result6files"
