program TestReadJobOrderFile

  !  #[ Description
  !     a simple test program to test thereadjoborderfile module
  !     created by: J. de Kloe, KNMI
  !
  !     Modifications:
  !     16-Jan-2008 J. de Kloe phase out integer kind i_
  !
  !  #]

  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.
  USE JobOrder_DataStructure, only: JobOrderData_type, Init_JobOrderData, &
                                    Print_JobOrderData, Delete_JobOrderData
  USE ReadJobOrderData, only: ReadJobOrderFile
  USE ErrorHandler, only: no_error, program_abort

  implicit none

  character(len=*), parameter :: filename_JobOrder = &
       "../ThinLayer/JobOrder.90001.xml"
  TYPE(JobOrderData_type) :: test_JobOrderData
  integer                 :: Task_Number, error_flag

  print *,"Starting test program"

  call Init_JobOrderData(test_JobOrderData)

  call ReadJobOrderFile(test_JobOrderData,filename_JobOrder,&
                        Task_Number,error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"ReadJobOrderFile")

  call Print_JobOrderData(test_JobOrderData,Task_Number,&
                          "test_JobOrderData",error_flag)
  IF (error_flag .ne. no_error) &
       call program_abort(error_flag,"Print_JobOrderData")

  call Delete_JobOrderData(test_JobOrderData)

  print *,"Ended test program"

end program TestReadJobOrderFile

