!+ ECMWF interface to aeolus_l2bp_primary.
!
subroutine aeolus_l2bp_primary_ec(str_value,value,error_flag)
  !  #[
!
! Description:
! to interface ECMWF IFS variables to aeolus_l2bp_primary
!
! Method
! see: Aeolus L2BP software documentation (subroutine version?)
!
! Current Code Owner: ECMWF/Aeolus L2BP Project
!
!  Written by:  David Tan, ECMWF
!  Created:     06-Aug-2007
!
!  Modifications:
!     06-Aug-2007 D. Tan    Original stub.
!     30-Jan-2008 D. Tan    Remove integer kind i_
!
! Code Description:
!   Language:          Fortran 90.
!   Software Standards: "European Standards for Writing and
!     Documenting Exchangeable Fortran 90 Code".
! Declarations:
! Modules used:
!
!    Declarations from Aeolus project
  USE YOMLUN_IFSAUX,    ONLY : NULOUT
  USE EE_CFI_Datatypes, ONLY : maxlen_IntAuc, IntAuc, GetIntAuc
  USE ErrorHandler,     ONLY : no_error
!
!   Declarations from ECMWF IFS/IFSAUX
  !Use parkind1, Only : jpim     ,jprb

  IMPLICIT NONE

  character(len=maxlen_IntAuc), intent(in)  :: str_value
  integer(IntAuc),              intent(out) :: value
  integer,                      intent(out) :: error_flag

  call GetIntAuc(str_value,value,error_flag)
  IF (error_flag .ne. no_error) THEN
    write (NULOUT,*) 'aeolus_l2bp_primary_ec: error_flag = ', error_flag
  ELSE
    write (NULOUT,*) 'aeolus_l2bp_primary_ec: GetIntAuc returns = ', value
  END IF

  return

end subroutine aeolus_l2bp_primary_ec
  !  #]
