#!/usr/bin/env python
#
# take a backscatter datafile from the amd5 clearcase view
# and convert them to the fromat used in the amd8 clearcase view
# without changing the numbers.
#
# Jos de Kloe, last change: 10-06-2005
#-------------------------------------------------

# imported modules
import string               # string functions

# settings
#filename = "backscatterdata_23layers"
#filename = "backscatterdata_convective_clouds"
#filename = "backscatterdata_lowcloud"
filename = "backscatterdata_mountains"
oldfile = filename+".dat"
newfile = filename+"_adapted_from_amd5_to_amd8.dat"

print "filename old = ["+oldfile+"]"
print "filename new = ["+newfile+"]"

# open the old and the new file
fdnew = open(newfile,'w')
fdold = open(oldfile,'r')

# write headerline 1
line = "# nr_brcs nr_steps nr_levels"
fdnew.write(line+"\n")

# write headerline 2
line = fdold.readline()
fdnew.write("  1 "+line)

nmeas   = int(line[:5])
nlevels = int(line[5:])

print "nmeas=",nmeas," nlevels=",nlevels

# write headerline 3
line = "# lvl_start lvl_end beta_mol signal obs_mie "+\
       "obs_rayleigh layer_extinction"
fdnew.write(line+"\n")

# convert the data
for m in range(1,nmeas+1):
    # read nlevels lines of data
    # convert them from 6 to 7 numbers by adding a zero
    # write the block twice to the output file
    lines=[]
    for l in range(1,nlevels+1):
        lines.append(fdold.readline())
    # write the block of data twice, once for Rayleigh, once for Mie
    for line in lines:
        # the strip command deletes the newline char from the string
        fdnew.write(string.strip(line,"\n")+" 0.0"+"\n")
    for line in lines:
        # the strip command deletes the newline char from the string
        fdnew.write(string.strip(line,"\n")+" 0.0"+"\n")

# close the files
fdold.close()
fdnew.close()

# end of this script
