module AuxPreproc_ecmwf_Module
  !  #[ Description:
  !     A module to
  !     - preprocess raw auxiliary data from ECMWF
  !       (i.e. do the horizontal and vertical interpolation
  !        to map the NWP data given as raw_profiles
  !        onto the positions defined by the L1B-rangebins)
  !     - currently just a placeholder in case of need for different
  !       preprocessing routines for different met centres
  !  #]
  !  #[ Modifications:
  !      D. Tan    ,   26-Apr-2005:  Original version.
  !      J. de Kloe,   27-May-2005:  minor change in range-gate definitions
  !      J. de Kloe,   30-May-2005:  moved the output into L2B struct
  !      J. de Kloe,   11-Jan-2006:  removed a not used USE statement
  !      D. Tan    ,   06-Mar-2006:  Precision r8_ for local meteor. vars
  !      12-May-2006  D. Tan       Null use of ParKind1 module
  !      24-Apr-2007  D. Tan       Reduce to a placeholder module.
  !  #]
  !  #[ Modules used:
  !
  USE ParKind1, only:    ! For compatability with ECMWF-IFS build.

  !  #]
  !  #[ Parameter/Variable/Type declarations
  implicit none

  ! make all module contents private, unless explicitely stated otherwise
  private

  !  #]
  !  #[ Module interface
  ! specify which routines are public, so are part of the interface
  ! to this module
  ! public functions/subroutines
  ! public :: ! None
  !  #]
contains
  !------------------------------------------
  subroutine InitAuxPreproc_ecmwf_Module
    !  #[

    print *,'This is a placeholder routine/module and should not be called.'
    
  end subroutine InitAuxPreproc_ecmwf_Module
    !  #]
  !------------------------------------------
end module AuxPreproc_ecmwf_Module
